dbXML API

## org.xmldb.api.sdk.modules
Class SimpleXMLResource

    java.lang.Object
      |
      +--org.xmldb.api.sdk.modules.BaseResource
            |
            +--org.xmldb.api.sdk.modules.SimpleXMLResource

All Implemented Interfaces:
  Resource, XMLResource

Direct Known Subclasses:
  XMLResourceImpl

public abstract class SimpleXMLResource
extends BaseResource
implements XMLResource

Provides access to XML resources stored in the database. An XMLResource can be accessed either as text XML or via the DOM or SAX APIs.

The default behavior for getContent and setContent is to work with XML data as text so these methods work on `String` content.

Fields inherited from interface org.xmldb.api.modules.XMLResource
`RESOURCE_TYPE`

Constructor Summary
`SimpleXMLResource(Collection parent, java.lang.String id)` Create a new XMLResource without any content.
`SimpleXMLResource(Collection parent, java.lang.String id, java.lang.String content)` Create a fully initialized XMLResource

Method Summary
`java.lang.Object` `getContent()` Retrieves the content from the resource.
`org.w3c.dom.Node` `getContentAsDOM()` Returns the content of the `Resource` as a DOM Node.
`void` `getContentAsSAX(org.xml.sax.ContentHandler handler)` Allows you to use a `ContentHandler` to parse the XML data from the database for use in an application.
`java.lang.String` `getResourceType()` Returns the resource type for this Resource.
`void` `setContent(java.lang.Object value)` Sets the content for this resource.
`void` `setContentAsDOM(org.w3c.dom.Node content)` Sets the content of the `Resource` using a DOM Node as the source.
`org.xml.sax.ContentHandler` `setContentAsSAX()` Sets the content of the `Resource` using a SAX `ContentHandler`.

Methods inherited from class org.xmldb.api.sdk.modules.BaseResource
`getId, getParentCollection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.modules.XMLResource
`getDocumentId`

Methods inherited from interface org.xmldb.api.base.Resource
`getId, getParentCollection`

Constructor Detail

### SimpleXMLResource

    public SimpleXMLResource(Collection parent,
                             java.lang.String id)

  Create a new XMLResource without any content.

### SimpleXMLResource

    public SimpleXMLResource(Collection parent,
                             java.lang.String id,
                             java.lang.String content)

  Create a fully initialized XMLResource

Method Detail

### getResourceType

    public java.lang.String getResourceType()
                                     throws XMLDBException

  Returns the resource type for this Resource.
  Specified by:
    `getResourceType` in interface `Resource`
  Returns:
    the resource type for the Resource.

### getContent

    public java.lang.Object getContent()
                                throws XMLDBException

  Retrieves the content from the resource. The type of the content varies depending what type of resource is being used.
  Specified by:
    `getContent` in interface `Resource`
  Returns:
    the content of the resource.

### setContent

    public void setContent(java.lang.Object value)
                    throws XMLDBException

  Sets the content for this resource. The type of content that can be set depends on the type of resource being used.
  Specified by:
    `setContent` in interface `Resource`
  Parameters:
    `value` - the content value to set for the resource.

### getContentAsDOM

    public org.w3c.dom.Node getContentAsDOM()
                                     throws XMLDBException

  Returns the content of the `Resource` as a DOM Node.
  Specified by:
    `getContentAsDOM` in interface `XMLResource`
  Returns:
    The XML content as a DOM `Node`

### setContentAsDOM

    public void setContentAsDOM(org.w3c.dom.Node content)
                         throws XMLDBException

  Sets the content of the `Resource` using a DOM Node as the source.
  Specified by:
    `setContentAsDOM` in interface `XMLResource`
  Parameters:
    `content` - The new content value

### getContentAsSAX

    public void getContentAsSAX(org.xml.sax.ContentHandler handler)
                         throws XMLDBException

  Allows you to use a `ContentHandler` to parse the XML data from the database for use in an application.
  Specified by:
    `getContentAsSAX` in interface `XMLResource`
  Parameters:
    `handler` - the SAX `ContentHandler` to use to handle the `Resource` content.

### setContentAsSAX

    public org.xml.sax.ContentHandler setContentAsSAX()
                                               throws XMLDBException

  Sets the content of the `Resource` using a SAX `ContentHandler`.
  Specified by:
    `setContentAsSAX` in interface `XMLResource`
  Returns:
    a SAX `ContentHandler` that can be used to add content into the `Resource`.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved